Download it now!
Bug 126733 - Inverted emoticons sets for the conditional formatting
Summary: Inverted emoticons sets for the conditional formatting
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting-Editing
  Show dependency treegraph
 
Reported: 2019-08-06 17:32 UTC by britfox42
Modified: 2020-07-04 09:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Actual emoticons sets (33.42 KB, image/png)
2019-08-06 17:33 UTC, britfox42
Details
work around for invert icons (36.51 KB, application/octet-stream)
2020-02-09 11:21 UTC, gmolleda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description britfox42 2019-08-06 17:32:17 UTC
Description:
The happy and sad faces are inverted for both the normal and colored sets of emoticons (look at the screenshot)

Actual Results:
The happy and sad faces are inverted.

Expected Results:
The opposite of the actual result...


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 britfox42 2019-08-06 17:33:46 UTC
Created attachment 153178 [details]
Actual emoticons sets
Comment 2 raal 2019-08-07 16:26:35 UTC
confirm with Version: 6.4.0.0.alpha0+ (x64)
Build ID: 6eefac3b3744f806b0a35afbd0d9669d840118f4
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
and Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
Comment 3 gmolleda 2020-02-09 11:15:18 UTC
There are times when the high value is bad (number of errors) and the low value is good. It should be possible to change the icons individually, choose even the color, or also be able to change the signs> = to <=, or choose in all three cases if <, <=, =,>,> =, <>
Comment 4 gmolleda 2020-02-09 11:21:40 UTC
Created attachment 157755 [details]
work around for invert icons

One way to invert the icons is to use a second column that inverts the values, apply the conditional formatting and change the ink of the values to white to hide them. You can see the attached file.
Comment 5 Julien Nabet 2020-07-01 14:46:46 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 6 Julien Nabet 2020-07-01 14:48:21 UTC
I gave it a try with https://gerrit.libreoffice.org/c/core/+/97636
Comment 7 Commit Notification 2020-07-02 10:39:47 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a330d8eef09a3135bf6ae94b31b7ea944f256bdc

tdf#126733: inverted emoticons sets for the conditional formatting

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2020-07-02 10:41:40 UTC
Patch waiting for review in 7.0 here:
https://gerrit.libreoffice.org/c/core/+/97677
Comment 9 Commit Notification 2020-07-02 19:35:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/23d0bc0b948ecd22860abf247e57ac6dda82b8a1

tdf#126733: inverted emoticons sets for the conditional formatting

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-03 23:28:39 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92c2318db92c3f102243ef1f8a9a492796932ff6

Revert "tdf#126733: inverted emoticons sets for the conditional formatting"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-07-03 23:30:03 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8192e7ad06538a3df44de14950b162b05ac26063

Revert "tdf#126733: inverted emoticons sets for the conditional formatting"

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2020-07-03 23:32:58 UTC
As discussed in https://gerrit.libreoffice.org/c/core/+/97636 this is not just a matter of swapping icons, which for existing documents would cause a regression in that the intended meaning would be swapped.

See also comment 3
Comment 13 Heiko Tietze 2020-07-04 09:49:11 UTC
Reverted in master and 7.0
Comment 14 gmolleda 2020-07-04 09:55:00 UTC
(In reply to Eike Rathke from comment #12)
> As discussed in https://gerrit.libreoffice.org/c/core/+/97636 this is not
> just a matter of swapping icons, which for existing documents would cause a
> regression in that the intended meaning would be swapped.
> 
> See also comment 3

Two solutions:
1.- Add option for reverse order icons. Default is same as old versions.
2.- Add other new set of emoticons named "reverse order emoticons" and "reverse order colorized emoticons" (my english is bad, but you understand).

Bye.